## ros-rolling-shared-queues-vendor 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(shared_queues_vendor)

find_package(ament_cmake REQUIRED)

include(ExternalProject)
# Single producer single consumer queue by moodycamel - header only, don't build, install
ExternalProject_Add(ext-singleproducerconsumer
  PREFIX singleproducerconsumer
  DOWNLOAD_DIR ${CMAKE_CURRENT_BINARY_DIR}/download
  URL https://github.com/cameron314/readerwriterqueue/archive/ef7dfbf553288064347d51b8ac335f1ca489032a.zip
  URL_MD5 64c673dd381b8fae9254053ad7b2be4d
  TIMEOUT 60
  INSTALL_DIR ${CMAKE_CURRENT_BINARY_DIR}
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )

# Concurrent and blocking concurrent queue by moodycamel - header only, don't build, install
ExternalProject_Add(ext-concurrentqueue
  PREFIX concurrentqueue
  DOWNLOAD_DIR ${CMAKE_CURRENT_BINARY_DIR}/download
  URL https://github.com/cameron314/concurrentqueue/archive/8f65a8734d77c3cc00d74c0532efca872931d3ce.zip
  URL_MD5 71a0d932cc89150c2ade85f0d9cac9dc
  TIMEOUT 60
  INSTALL_DIR ${CMAKE_CURRENT_BINARY_DIR}
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )

add_library(singleproducerconsumer INTERFACE)
target_include_directories(singleproducerconsumer INTERFACE $<INSTALL_INTERFACE:include/moodycamel>)

add_library(concurrentqueue INTERFACE)
target_include_directories(concurrentqueue INTERFACE $<INSTALL_INTERFACE:include/moodycamel>)

install(
  TARGETS singleproducerconsumer concurrentqueue
  EXPORT export_${PROJECT_NAME}
  INCLUDES DESTINATION include
)

# Install headers
install(
  FILES
  "${CMAKE_CURRENT_BINARY_DIR}/singleproducerconsumer/src/ext-singleproducerconsumer/atomicops.h"
  "${CMAKE_CURRENT_BINARY_DIR}/singleproducerconsumer/src/ext-singleproducerconsumer/readerwriterqueue.h"
  "${CMAKE_CURRENT_BINARY_DIR}/concurrentqueue/src/ext-concurrentqueue/concurrentqueue.h"
  "${CMAKE_CURRENT_BINARY_DIR}/concurrentqueue/src/ext-concurrentqueue/blockingconcurrentqueue.h"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/include/moodycamel
)

ament_export_include_directories(include)
ament_export_targets(export_${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-rolling-shared-queues-vendor (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.12.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.11.0-1focal) focal; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.10.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.8.0-1focal) focal; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.7.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.6.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.5.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.4.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.5-1focal) focal; urgency=high

  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.1.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-shared-queues-vendor (0.0.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.0.4-1focal) focal; urgency=high

  * 0.0.3
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.0.2-1focal) focal; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-rolling-shared-queues-vendor (0.0.1-1focal) focal; urgency=high

  * Add correct timing behaviour for rosbag play (#32 <https://github.com/ros2/rosbag2/issues/32>)
  * Contributors: Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-shared-queues-vendor
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-shared-queues-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Vendor package for concurrent queues from moodycamel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-shared-queues-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-shared-queues-vendor 0.24.0

=== debian/changelog ===
ros-rolling-shared-queues-vendor (0.24.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.22.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.21.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.19.0-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.18.0-1jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#1084 <https://github.com/ros2/rosbag2/issues/1084>)
  * Contributors: Cristóbal Arroyo

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.17.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.16.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.15.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.15.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.14.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.13.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.12.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.10.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.10.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.9.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.8.0-1jammy) jammy; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.7.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.6.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Feb 2021 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.5.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 02 Dec 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.4.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Contributors: Michael Jeronimo

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 19 Nov 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.2-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.1-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.3.0-1jammy) jammy; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.8-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.6-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.5-1jammy) jammy; urgency=high

  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.4-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.3-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 00:00:00 -0000

ros-rolling-shared-queues-vendor (0.2.2-1jammy) jammy; urgency=high





=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-rolling-shared-queues-vendor
 Section: misc
 Priority: optional
-Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
+Maintainer: Michael Orlov <michael.orlov@apex.ai>
 Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
